@media all and (max-width: 1024px) {
    nav.desktop-menu-wrap ul.desktop-menu-only li a {
        font-size: 14px;
    }
    nav.desktop-menu-wrap ul.desktop-menu-only li:not(:last-child) {
        margin: 0 10px 0 0;
    }
    .hero-headline {
        font-size: 50px;
        margin-bottom: 10px;
    }
    .common-design > a {
        font-size: 15px;
        line-height: 55px;
        padding: 0 13px;
    }
    .hero {
        min-height: 670px;
        height: auto;
        padding: 34px 0 0 0;
    }
    .cta-buttons {
        gap: 10px;

    }
}

@media(max-width:768px) {
    .signals {
        flex-direction: column;
        align-items: center;
    }
    .diagnostics-header h2 {
        font-size: 32px;
    }
    .diagnostics-intro {
        font-size: 18px;
    }
    .breakdown-card {
        padding: 30px 20px;
    }
    .cta-panel {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }
    .story-heading {
        font-size: 34px;
    }
    .story-subtext {
        font-size: 16px;
    }
    .insight-container {
        flex-direction: column;
        text-align: center;
    }

    .insight-subtext {
        margin: 0 auto;
    }
    .divisions-container {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }
    .divisions-subtext {
        margin: 0 auto;
    }
    .footer-cta-title {
        font-size: 28px;
    }
    .footer-cta-text {
        font-size: 16px;
    }
    .footer-cta-button {
        padding: 16px 36px;
    }
}